#ifndef ANIMONE_ANIMONE_FD_WIN32_H_
#define ANIMONE_ANIMONE_FD_WIN32_H_

#include <set>
#include <string>

#include "animone/fd.h"
#include "animone/types.h"

namespace animone::internal::win32 {

bool GetProcessName(pid_t pid, std::string& name);
bool EnumerateOpenProcesses(process_proc_t process_proc);
bool EnumerateOpenFiles(const std::set<pid_t>& pids, open_file_proc_t open_file_proc);

} // namespace animone::internal::win32

#endif // ANIMONE_ANIMONE_FD_WIN32_H_
